# Class MonitorHandler

java.lang.Object
org.xml.sax.helpers.DefaultHandler
org.apache.jmeter.monitor.parser.MonitorHandler

All Implemented Interfaces:
  `ContentHandler, DTDHandler, EntityResolver, ErrorHandler`

public class MonitorHandler extends DefaultHandler

## Constructor Summary

Constructors
Constructor
Description
`MonitorHandler(ObjectFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`characters(char[] ch, int start, int length)`
Receive notification of character data inside an element.
`void`
`endDocument()`
`void`
`endElement(String uri, String localName, String qName)`
Receive notification of the end of an element.
`Status`
`getContents()`
method returns the status object.
`int`
`parseInt(String data)`
Convienance method for parsing integers.
`long`
`parseLong(String data)`
Convienance method for parsing long.
`void`
`startDocument()`
`void`
`startElement(String uri, String localName, String qName, Attributes attributes)`
Receive notification of the start of an element.

### Methods inherited from class DefaultHandler

`endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ContentHandler

`declaration`

## Constructor Details

### MonitorHandler

public MonitorHandler(ObjectFactory factory)

Parameters:
  `factory` - `ObjectFactory` to use

## Method Details

### startDocument

public void startDocument() throws SAXException

Specified by:
  `startDocument` in interface `ContentHandler`
Overrides:
  `startDocument` in class `DefaultHandler`
Throws:
  `SAXException`

### endDocument

public void endDocument() throws SAXException

Specified by:
  `endDocument` in interface `ContentHandler`
Overrides:
  `endDocument` in class `DefaultHandler`
Throws:
  `SAXException`

### startElement

public void startElement(String uri, String localName, String qName, Attributes attributes) throws SAXException
Receive notification of the start of an element.

By default, do nothing. Application writers may override this method in a subclass to take specific actions at the start of each element (such as allocating a new tree node or writing output to a file).

Specified by:
  `startElement` in interface `ContentHandler`
Overrides:
  `startElement` in class `DefaultHandler`
Parameters:
  `uri` - The namespace uri, or the empty string, if no namespace is available
  `localName` - The element type name.
  `qName` - The qualified name, or the empty string (must not be `null`)
  `attributes` - The specified or defaulted attributes.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  - `ContentHandler.startElement(String, String, String, Attributes)`

### endElement

public void endElement(String uri, String localName, String qName) throws SAXException
Receive notification of the end of an element.

By default, do nothing. Application writers may override this method in a subclass to take specific actions at the end of each element (such as finalising a tree node or writing output to a file).

Specified by:
  `endElement` in interface `ContentHandler`
Overrides:
  `endElement` in class `DefaultHandler`
Parameters:
  `uri` - the namespace uri, or the empty string, if no namespace is available
  `localName` - The element type name.
  `qName` - The specified or defaulted attributes.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  - `ContentHandler.endElement(String, String, String)`

### characters

public void characters(char[] ch, int start, int length) throws SAXException
Receive notification of character data inside an element.

By default, do nothing. Application writers may override this method to take specific actions for each chunk of character data (such as adding the data to a node or buffer, or printing it to a file).

Specified by:
  `characters` in interface `ContentHandler`
Overrides:
  `characters` in class `DefaultHandler`
Parameters:
  `ch` - The characters.
  `start` - The start position in the character array.
  `length` - The number of characters to use from the character array.
Throws:
  `SAXException` - Any SAX exception, possibly wrapping another exception.
See Also:
  - `ContentHandler.characters(char[], int, int)`

### parseLong

public long parseLong(String data)
Convienance method for parsing long. If the string was not a number, the method returns zero.

Parameters:
  `data` - string representation of a `Long`
Returns:
  the value as a long

### parseInt

public int parseInt(String data)
Convienance method for parsing integers.

Parameters:
  `data` - string representation of an `Integer`
Returns:
  the value as an integer

### getContents

public Status getContents()
method returns the status object.

Returns:
  the status